Bug 75249 - [GTK] Add zoom-text-only setting to WebKit2 GTK+ API
Summary: [GTK] Add zoom-text-only setting to WebKit2 GTK+ API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 75248
Blocks: 75252
  Show dependency treegraph
 
Reported: 2011-12-27 06:37 PST by Carlos Garcia Campos
Modified: 2012-02-29 10:45 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.29 KB, patch)
2011-12-27 06:40 PST, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2011-12-27 06:37:20 PST
To set whether zoom level of web view should affect only the text or all page contents.
Comment 1 Carlos Garcia Campos 2011-12-27 06:40:22 PST
Created attachment 120581 [details]
Patch
Comment 2 WebKit Review Bot 2011-12-27 06:43:13 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Martin Robinson 2011-12-27 09:32:30 PST
As I said on the mailing list I'm not sure if "text-only" is entirely accurate.
Comment 4 Gustavo Noronha (kov) 2012-02-16 15:50:44 PST
I agree, Martin. How about we make the setting enable-full-content-zoom, enabled by default, instead? That way we stick to wk1's familiar existing property name and semantics, and do not use conceptually incorrect names. If you agree to that, I believe the patch is otherwise OK.
Comment 5 Martin Robinson 2012-02-16 15:57:54 PST
(In reply to comment #4)
> I agree, Martin. How about we make the setting enable-full-content-zoom, enabled by default, instead? That way we stick to wk1's familiar existing property name and semantics, and do not use conceptually incorrect names. If you agree to that, I believe the patch is otherwise OK.

Sure, sounds good to me.
Comment 6 Carlos Garcia Campos 2012-02-16 23:31:40 PST
We already agreed on the mailing list that 'text' is accurate and it's a reasonable name:

https://lists.webkit.org/pipermail/webkit-gtk/2011-December/000865.html

Form controls are scaled because they contain text, but text zoom factor is exactly that, so it's very accurate I would say. The text scale factor is applied to the font size.
Comment 7 Gustavo Noronha (kov) 2012-02-29 08:32:52 PST
Comment on attachment 120581 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=120581&action=review

Let's do this. We can always go back and review this API anyway =P

> Source/WebKit2/UIProcess/API/gtk/WebKitSettings.cpp:766
> +     * text of the page or all the contents.

Can you add a bit about text size also affecting things like form controls?
Comment 8 Carlos Garcia Campos 2012-02-29 10:45:26 PST
Committed r109229: <http://trac.webkit.org/changeset/109229>